SCHEMA-SALAD-TOOL3(1)

NAME
schema-salad-tool - Schema Annotations for Linked Avro Data (SALAD)

DESCRIPTION
usage: schema-salad-tool [-h] [--rdf-serializer RDF_SERIALIZER] [--skip-schemas]

    [--strict-foreign-properties] [--print-jsonld-context] [--print-rdfs] [--print-avro] [--print-rdf] [--print-pre] [--print-index] [--print-metadata] [--print-inheritance-dot] [--print-fieldrefs-dot] [--codegen language] [--codegen-target CODEGEN_TARGET] [--codegen-examples directory] [--print-oneline] [--print-doc] [--strict | --non-strict] [--verbose | --quiet | --debug] [--only ONLY] [--redirect REDIRECT] [--brand BRAND] [--brandlink BRANDLINK] [--primtype PRIMTYPE] [--version] [schema] [document]

  positional arguments:

    schema document

  optional arguments:

-h, --help
    show this help message and exit

--rdf-serializer RDF_SERIALIZER
    Output RDF serialization format used by --printrdf(one of turtle (default), n3, nt, xml)

--skip-schemas
    If specified, ignore $schemas sections.

--strict-foreign-properties
    Strict checking of foreign properties

--print-jsonld-context
    Print JSON-LD context for schema

--print-rdfs
    Print RDF schema

--print-avro
    Print Avro schema

--print-rdf
    Print corresponding RDF graph for document

--print-pre
    Print document after preprocessing

--print-index
    Print node index

--print-metadata
    Print document metadata

--print-inheritance-dot
    Print graphviz file of inheritance

--print-fieldrefs-dot
    Print graphviz file of field refs

--codegen language
    Generate classes in target language, currently supported: python, java

--codegen-target CODEGEN_TARGET
    Defaults to sys.stdout for python and ./ for Java

--codegen-examples directory
    Directory of example documents for test case generation (Java only).

--print-oneline
    Print each error message in oneline

--print-doc
    Print HTML schema documentation page

--strict
    Strict validation (unrecognized or out of place fields are error)

--non-strict
    Lenient validation (ignore unrecognized fields)

--verbose
    Default logging

--quiet
    Only print warnings and errors.

--debug
    Print even more logging

--only ONLY
    Use with --print-doc, document only listed types

--redirect REDIRECT
    Use with --print-doc, override default link for type

--brand BRAND
    Use with --print-doc, set the 'brand' text in nav bar

--brandlink BRANDLINK
    Use with --print-doc, set the link for 'brand' in nav bar

--primtype PRIMTYPE
    Use with --print-doc, link to use for primitive types (string, int etc)

--version, -v
    Print version